import { http } from '@/utils/http'
import { platform } from '@/utils/platform'

console.log(process.env.NODE_ENV, 'hss----11')
let API = ''
if (process.env.NODE_ENV == 'development' && platform == 'h5') {
  API = '/api'
} else {
  API = ''
}
export interface IFooItem {
  username: string
  password: string
  token?: string
}

/** POST 请求 */
export const getAuth = (data: IFooItem) => {
  return http.post(`${API}/auth`, data)
}
